
#ifndef LISTHAND_H
#define LISTHAND_H

/*--------------------------------------------------------------------------*/

#ifndef ZERO
#define ZERO            ( 0 )
#endif
#ifndef ONE
#define ONE             ( 1 )
#endif
#ifndef FALSE
#define FALSE           ZERO
#endif
#ifndef TRUE
#define TRUE            ( !FALSE )
#endif
#ifndef BOOL
#define BOOL            int
#endif

/*--------------------------------------------------------------------------*/

BOOL    ListCreate(     int     *Handle );

BOOL    ListAdd(        int     Handle,
                        int     DataLen,
                        void    *DataPtr );

BOOL    ListFirst(      int     Handle );

BOOL    ListNext(       int     Handle );

BOOL    ListGet(        int     Handle,
                        int     *DataLen,
                        void    *DataPtr );

BOOL    ListSet(        int     Handle,
                        int     DataLen,
                        void    *DataPtr );

BOOL    ListPrev(       int     Handle );

BOOL    ListLast(       int     Handle );

BOOL    ListDel(        int     Handle );

BOOL    ListDestroy(    int     *Handle );

BOOL    ListDump(       int     Handle );

/*--------------------------------------------------------------------------*/

#endif

